Multi-Yield Deposit
curl --request POST \
--url https://api.aegisintent.xyz/v1/actions/wealth/multiYield \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Aegis-Email: <x-aegis-email>' \
--header 'X-Aegis-Nonce: <x-aegis-nonce>' \
--data '
{
"amountUsdc": "100.00",
"aegisWeight": 60,
"synthraWeight": 40
}
'import requests
url = "https://api.aegisintent.xyz/v1/actions/wealth/multiYield"
payload = {
"amountUsdc": "100.00",
"aegisWeight": 60,
"synthraWeight": 40
}
headers = {
"X-Aegis-Email": "<x-aegis-email>",
"Idempotency-Key": "<idempotency-key>",
"X-Aegis-Nonce": "<x-aegis-nonce>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Aegis-Email': '<x-aegis-email>',
'Idempotency-Key': '<idempotency-key>',
'X-Aegis-Nonce': '<x-aegis-nonce>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({amountUsdc: '100.00', aegisWeight: 60, synthraWeight: 40})
};
fetch('https://api.aegisintent.xyz/v1/actions/wealth/multiYield', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"txHashes": [
"<string>"
]
}Actions API
Multi-Yield Deposit
Split a USDC deposit across the Aegis aUSDC Vault and Synthra V3 concentrated liquidity in a single atomic action. Weights must add up to 100, and synthraWeight is capped at 80.
POST
/
v1
/
actions
/
wealth
/
multiYield
Multi-Yield Deposit
Split a USDC deposit across the Aegis aUSDC Vault and Synthra V3 concentrated liquidity in a single atomic action. The
aegisWeight and synthraWeight must add up to 100, and synthraWeight is capped at 80 to limit external protocol risk.Authorizations
BearerAuthAegisEmail
Provide raw API session token issued by /v1/connect/complete
Headers
Agent email address
Unique UUID for financial idempotency
Current agent nonce
Body
application/json
Was this page helpful?
⌘I